<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs util s"
    xmlns:util="http://www.oxygenxml.com/ns/framework/extend/util"
    xmlns:actions="http://www.oxygenxml.com/ns/framework/extend/actions"
    xmlns:s="http://www.oxygenxml.com/ns/framework/extend"
    version="3.0">
    
    <xsl:template match="authorExtension/field/action-array"
        mode="copy-target">
        <xsl:variable 
            name="skippedActions" 
            select="$script/s:author/s:authorActions/s:removeAction/@id"/>
        <xsl:copy>
            <xsl:apply-templates 
                select="@* | text() | action[empty(index-of($skippedActions, field[@name='id']/String/text()))]" 
                mode="#current"/>
        </xsl:copy>
        

    </xsl:template>
    
</xsl:stylesheet>